Name: H5Dvlen_get_buf_size
Signature:
  herr_t `H5Dvlen_get_buf_size`(hid_t `dataset_id`, hid_t `type_id`, hid_t `space_id`, hsize_t *`size` )
Purpose:
  Determines the number of bytes required to store VL data.
Description:
  `H5Dvlen_get_buf_size` determines the number of bytes required to store the VL data from the dataset, using the `space_id` for the selection in the dataset on disk and the `type_id` for the memory representation of the VL data in memory.

  `*size` is returned with the number of bytes required to store the VL data in memory.

Parameters:

hid_t `dataset_id` | IN: Identifier of the dataset to query.
hid_t `type_id` | IN: Datatype identifier.
hid_t `space_id` | IN: Dataspace identifier.
hsize_t *`size` | OUT: The size in bytes of the memory buffer required to store the VL data.

Returns:
  Returns non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5dvlen_get_max_len_f
  There is no direct FORTRAN couterpart for the C function `H5Dvlen_get_buf_size`; corresponding functionality is provided by the FORTRAN function `h5dvlen_get_max_len_f`.

      SUBROUTINE h5dvlen_get_max_len_f(dset_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dset_id     ! Dataset identifier
        INTEGER(HID_T), INTENT(IN) :: type_id     ! Datatype identifier
        INTEGER(HID_T), INTENT(IN) :: space_id    ! Dataspace identifier

        INTEGER(SIZE_T), INTENT(OUT)  :: elem_len ! Maximum length of the element
        INTEGER, INTENT(OUT) :: hdferr            ! Error code
                                                  ! 0 on success and -1 on failure
      END SUBROUTINE h5dvlen_get_max_len_f

History:

Release | C |  | Fortran90
1.4.5 |  |  | Function introduced in this release.
1.4.0 | Function introduced in this release. |  |